From: Daniel Leidert <dleidert@debian.org>
Date: Sun, 25 Oct 2020 23:23:00 +0100
Subject: Support faraday before 1.0

Faraday 1.0 is in experimental. But it doesn't actually seem to be required.
Allow net-http-persistent 3.x in unstable.
Allow ActiveSupport 6.0.

Origin: https://github.com/travis-ci/gh/pull/40/files
Origin: https://github.com/travis-ci/gh/commit/8e49688624fdec4e6d28d693f7ce6fad7969dd6d
Forwarded: not-needed
---
 gh.gemspec | 8 ++++----
 1 file changed, 4 insertions(+), 4 deletions(-)

--- a/gh.gemspec
+++ b/gh.gemspec
@@ -21,9 +21,9 @@
 
   s.add_runtime_dependency 'faraday',     '~> 1.0'
   s.add_runtime_dependency 'faraday_middleware', '~> 1.0'
-  s.add_runtime_dependency 'activesupport', '~> 5.0'
+  s.add_runtime_dependency 'activesupport', '>= 5.0', '< 6.1'
   s.add_runtime_dependency 'multi_json',  '~> 1.0'
   s.add_runtime_dependency 'addressable', '~> 2.4'
-  s.add_runtime_dependency 'net-http-persistent', '~> 2.9'
+  s.add_runtime_dependency 'net-http-persistent', '>= 2.9', '< 3.3'
   s.add_runtime_dependency 'net-http-pipeline'
 end
